using data.Repository;
using domain.UseCase;

public static class ServiceExtensions
{
    public static void ConfigurateGroup(this IServiceCollection services)
    {
        services
        .AddScoped<IGroupRepository, SQLGroupRepositoryImpl>()
        .AddScoped<GroupUseCase>()
        .AddScoped<IUserRepository, SQLUserRepositoryImpl>()
        .AddScoped<UserUseCase>()
        .AddScoped<IPresenceRepository, SQLPresenceRepositoryImpl>()
        .AddScoped<UseCaseGeneratePresence>();

    }
}